Instalación

Requisitos:

1.- Ruby versión 2.5.1

2.- Postgresql desde la versión 9.5.4

3.- Rmagick

Recomendación

Para usuarios en Linux realizar los siguientes comandos:

sudo apt-get install libpq-dev

sudo apt-get install imagemagick libmagickcore-dev libmagickwand-dev

Cómo Instalar la última versión de Keppler:

1.- Instale Keppler desde el símbolo del sistema si aún no lo ha hecho:

$ gem install keppler

Para ver la lista de comandos puede escribir:

$ keppler

Comandos

2.- En el símbolo del sistema, cree una nueva aplicación de Keppler:

$ keppler new myapp

3.- A continuación, pasará a crear el nuevo proyecto, instalar las dependencias y posteriormente pedirá nombre de la base de datos, usuario y contraseña del gestor de base de datos Postgresql

4.- Inicie el servidor web:

$ cd myapp

$ keppler server

5.- Abrir el navegador e iniciar localhost:3000 debería salir la siguiente vista:

Keppler

6.- Listo

Nota:

  • Si desea instalar una versión anterior de Keppler:

$ gem install keppler -v y la version que desee instalar. Luego siga los pasos anteriores.

  • Si durante el proceso de creación de la base de datos ocurre una interrupción, se puede configurar desde el siguiente comando keppler db_conf